#ifndef IndentPatternType_h
#define IndentPatternType_h

// $Id: IndentPatternType.h,v 1.2 2009/09/09 02:29:44 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/


/*!
   \file IndentPatternType.h
   \brief highlight pattern type selection
   \author Hugo Pereira
   \version $Revision: 1.2 $
   \date $Date: 2009/09/09 02:29:44 $
*/

#include <QComboBox>
#include <QWidget>
#include <map>

#include "Counter.h"
#include "IndentPattern.h"

//! highlight pattern type selection
class IndentPatternType: public QComboBox, public Counter
{

  //! Qt object
  Q_OBJECT

  public:

  //! constructor
  IndentPatternType( QWidget* parent );

  //! set checkboxes from from
  void setType( const IndentPattern::Type& type );

  //! get format
  IndentPattern::Type type( void ) const;

  signals:

  //! highlight pattern type changed
  void typeChanged( IndentPattern::Type );

  private slots:

  //! checkbox clicked
  void _typeChanged( const QString& button );

};
#endif
